package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenesegmentrateDTO implements Serializable {

    private static final long serialVersionUID = 779413368419726L;

    private Integer tgenesegmentratePK;

    private Integer recordversion;

    private Integer maxterm;

    private Integer maxamount;

    private Integer margin;

    private String operator;

    private String readjustmentoperator;

    private Integer readjustmentmargin;

    private Integer minrate;

    private Integer maxrate;

    private Integer tgenebalancetype;

    private Integer tgenebaserate;

    private Integer tgenecatalogdetail;

    private Integer tgenecompany;

        public Integer getTgenesegmentratePK() {
    return tgenesegmentratePK;
    }

        public void setTgenesegmentratePK(Integer tgenesegmentratePK) {
    this.tgenesegmentratePK = tgenesegmentratePK;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public Integer getMaxterm() {
    return maxterm;
    }

        public void setMaxterm(Integer maxterm) {
    this.maxterm = maxterm;
    }

        public Integer getMaxamount() {
    return maxamount;
    }

        public void setMaxamount(Integer maxamount) {
    this.maxamount = maxamount;
    }

        public Integer getMargin() {
    return margin;
    }

        public void setMargin(Integer margin) {
    this.margin = margin;
    }

        public String getOperator() {
    return operator;
    }

        public void setOperator(String operator) {
    this.operator = operator;
    }

        public String getReadjustmentoperator() {
    return readjustmentoperator;
    }

        public void setReadjustmentoperator(String readjustmentoperator) {
    this.readjustmentoperator = readjustmentoperator;
    }

        public Integer getReadjustmentmargin() {
    return readjustmentmargin;
    }

        public void setReadjustmentmargin(Integer readjustmentmargin) {
    this.readjustmentmargin = readjustmentmargin;
    }

        public Integer getMinrate() {
    return minrate;
    }

        public void setMinrate(Integer minrate) {
    this.minrate = minrate;
    }

        public Integer getMaxrate() {
    return maxrate;
    }

        public void setMaxrate(Integer maxrate) {
    this.maxrate = maxrate;
    }

        public Integer getTgenebalancetype() {
    return tgenebalancetype;
    }

        public void setTgenebalancetype(Integer tgenebalancetype) {
    this.tgenebalancetype = tgenebalancetype;
    }

        public Integer getTgenebaserate() {
    return tgenebaserate;
    }

        public void setTgenebaserate(Integer tgenebaserate) {
    this.tgenebaserate = tgenebaserate;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTgenecompany() {
    return tgenecompany;
    }

        public void setTgenecompany(Integer tgenecompany) {
    this.tgenecompany = tgenecompany;
    }

}